Subject: Re: bug#50205: 27.2; crashes or hangs when opening a specific file using tramp

From: Mani Kancherla <[email-masked]>
Date: Mon, 30 Aug 2021 13:50:40 -0700

Hi Michael,

Looks like the workaround for the installation issue is to run "M-x
tramp-recompile-elpa", but it complains there is no such command. So, I
just opened ~/.emacs.d/elpa/tramp-2.5.1.1/tramp.el in emacs and from the
menu selected Emacs-Lisp> Byte-Compile This File. I am not sure if it does
the same thing. After that I restarted emacs and M-x tramp-version shows
2.5.1.1. With this, I still see the problem (still hangs or crashes).

Thanks,
Mani

On Sun, Aug 29, 2021 at 12:23 AM Michael Albinus <[email-masked]>
wrote:

> Mani Kancherla <[email-masked]> writes:
>
> > Hi Michael,
>
> Hi Mani,
>
> > I had tried multiple versions of tramp. I checked my elpa/ and saw I
> > had tried tramp 2.5.1 and 2.5.1.1 earlier. Now that I renamed my elpa/
> > folder to elpa-bak/, emacs is using the built-in 2.4.5.27.2. I now
> > tried installing the latest tramp via emacs menu Options>Manage Emacs
> > Packages> and then selecting tramp 2.5.1.1 from there and clicking
> > install. It gives me an error, please see below.
>
> This is bug#48015, unfortunately. See ~/.emacs.d/elpa/tramp-2.5.1.1/README
> for instructions how to circumvent this.
>
> > Mani
>
> Best regards, Michael.
>